STRUCT TEMPLATE (3)

NAME
boost::proto::result_of::as_child - A metafunction that computes the return type of the proto::as_child() function.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename T, typename Domain = proto::default_domain>
struct as_child {
  // types
  typedef typename Domain::template as_child< T >::result_type type;
};

DESCRIPTION

The proto::result_of::as_child<> metafunction turns types into Proto expression types, if they are not already, in a domain-specific way. It is used by Proto to compute the type of an object to store as a child in another expression node.

See proto::domain::as_child<> for a complete description of the default behavior.